%define installdir %apache_htdocsdir/mailzu

Name: mailzu
Version: 0.6
Release: alt1.RC1

Summary: MailZu is a simple and intuitive quarantine management interface for amavisd-new.
License: GPL
Group: Networking/Mail
URL: http://www.mailzu.org/

Source: %name-%version.RC1.tar.gz
Source1: mailzu.conf
BuildArchitectures: noarch

Requires: php >= 4.2.1
Requires: mod_php
Requires: pear >= 1.3.1
Requires: apache-common >= 1.3.31rusPL30.20-alt10
Requires: perl-base
# apache-devel needed for %apache* macroses
# perl-DBI needed to make find-requires happy

BuildPreReq: apache-devel perl-DBI

%description
MailZu is a simple and intuitive quarantine management interface for amavisd-new.
It allows users and administrators to view quarantined messages and release, request, or delete them.
The interface is based on amavisd-new SQL reporting feature.

Here are the list of features:

    * Multiple amavisd-new instance support
    * AM.PDP protocol support
    * Web based interface written in PHP, supports major browsers
    * Multiple language support
    * Multiple method authentication: LDAP, Active Directory, SQL
    * Restricted login
    * Login session with or without cookies
    * Multiple mail attribute support
    * Users can view, release or delete messages tagged as spam in quarantine
    * Users can view, request the release or delete messages containing banned attachment in quarantine
    * Administrators and Super-Administrators can view, release or delete messages in site wide quarantine
    * Comprehensive search engine for messages in quarantine
    * Displays attachments and images in a safe way
    * Online help pages
							
%prep
%setup -q -n %name

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir
#%__chmod go-rwx %buildroot%installdir/test.php
#cd %buildroot%installdir/config
#for d in *.dist; do
#	d0=`basename $d .dist`
#	if [ ! -f "$d0" ]; then
#		cp -p $d $d0
#	fi
#done
#touch conf.php
echo "Deny from all"> %buildroot%installdir/config/.htaccess

%pre

%post
# post-install instructions:

# patching old type of httpd.conf
if egrep -q "^Include conf/addon-modules.?d?/mailzu.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/mailzu.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/mailzu.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/mailzu.conf" >> %apache_conf
fi

/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure MailZu and Amavisd-new !
See "Configuration" in %installdir/docs/INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	if [ -f %apache_conf ] ; then
		grep -q "^Include conf/addon-modules.d/mailzu.conf" %apache_conf &&
			%__subst "/Include conf\/addon-modules.d\/mailzu.conf/d" %apache_conf
		/sbin/service httpd condrestart
	fi
fi

%files
# Apache imp.conf file
%config(noreplace) %apache_addonconfdir.d/mailzu.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/*.js
%installdir/*.css
%installdir/lib
%installdir/lang
%installdir/img
%installdir/scripts
%installdir/templates
# Mark documentation files with %doc and %docdir
%doc %installdir/LICENSE
%doc %installdir/README
%docdir %installdir/docs
%installdir/docs
# Mark configuration files with %config and use secure permissions
# (note that  files are considered software; don't mark %config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.sample
%config(noreplace) %installdir/config/*.php

%changelog
* Thu Jun 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.6-alt1.RC1
- initial release for Sisyphus
